WMMOONCLOCK(1)

NAME
WMMOONCLOCK - Dockable Moon Phase Clock

SYNOPSIS
wmMoonClock [-display <Display>] [-bc <Color>] [-lc <Color>] [-dc <Color>] [-low] [-lat <Latitude>] [-lon <Longitude>] [-h]

DESCRIPTION

wmMoonClock displays the current phase of the moon. Clicking on the icon brings up different displays -- there are 5 in all. The different "pages" are;

First Page
    Shows the Moon phase image.

Second Page
    Shows the current Local Time (LT) and Universal Time (UT), the Moon's Age (number of days since last new moon), the geometric (as opposed to temporal) fraction of the way through the current lunar cyle (e.g. 50 for full moon), the fraction of the Moon's disc that is illuminated (ratio of area illuminated to total area of disc) and whether the Moon is (locally) visible of not (i.e. is it above the horizon?).

Third Page
    Shows the Rise and Set times for yesterday (first line), today (middle line), and tommorrow (last line). If the Moon does not rise or set on a given day a `null time' is shown (--:--). Note that these times should still be good for high latitude observers. Also note that there will always be at least one (--:--) showing up per month. This is because once per month the Moon will rise (set) on a given day but will set (rise) in the very early portion of the next day.

Fourth Page
    Shows the Moon's horizon coordinates (i.e. the Altitude/Azimuth system). Azimuth is measured in degrees CCW from due south, and altitude is measured in degrees from the horizon up to the Moon. Distance (Dist) is measured in units on Earth radii (1 Re is about 6370km). Note that this is a local coordinate system and will not be correct if the observer's latitude and longitude are not set correctly.

Fifth Page
    Shows the Moon's ecliptic coordinates. (i.e. the Right Ascention/Declination system). Useful for astronomers?

Many of the quantities shown will not be correct unless LT and UT are correct, and the user specifies the proper latitude and longitude.

OPTIONS

-display <display>
    Use an alternate X Display.

-bc Set background color. (E.g. #7e9e69 or blue)

-lc Set color of text labels.

-dc Set color of data values.

-low
    Conserve colors. For 8-bit displays, a lower-color pixmap will be used automatically, but you can also force its use on higher-color displays if necessary.

-lat <Latitude>
    Observers Latitude in degrees. Positive in northern hemisphere, negative in southern hemisphere.

-lon <Longitude>
    Observers Longitude in degrees. Greenwich is 0.0, and longitude increases positively toward the west. (Alternatively, negative numbers can also be used to specify longitudes to the east of Greenwich).

-h  Display list of command-line options.

BUGS
Who knows? (Let me know if you find any).

AUTHOR
Michael G. Henderson <mghenderson@lanl.gov>